FROM ubuntu:20.04
RUN apt update && apt-get install --yes openjdk-11-jdk netcat-openbsd mysql-client software-properties-common psmisc python2.7
RUN add-apt-repository ppa:potassco/stable
RUN apt update && apt install --yes clingo
RUN update-alternatives --install /usr/bin/python python /usr/bin/python2.7 1
COPY scripts/bash/wait-for-mysql /wait-for-mysql
COPY . /etc/team_server

RUN mkdir /etc/team_server/run
WORKDIR /etc/team_server/run
CMD /bin/bash -c "../scripts/bash/wait-for-mysql && java -agentlib:jdwp=transport=dt_socket,server=y,suspend=n,address=*:5005 -jar ../build/libs/team_server-1.0.jar"